package com.ltgk.common.enums;

import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 港区服务预约状态
 *
 * @author Qi ChengBin
 * @date 2025/01/21 16:59:55
 */
@Getter
public enum ServiceAppointmentStateEnums implements CodeDescEnumInterface {
    APPOINTMENT_STATE_0(0, "已预约"),
    APPOINTMENT_STATE_1(1, "已完成"),
    APPOINTMENT_STATE_2(2, "已过期"),
    APPOINTMENT_STATE_3(3, "已取消"),
    APPOINTMENT_STATE_4(4, "已评价");

    private final Integer code;
    private final String desc;

    ServiceAppointmentStateEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
